<?php
include('../clases/clase.conexion.mysql.php');
include('variables.php');
$obj = new clsConexion($strServidor,$strUsuario,$strClave,$strBD);
// Array que vincula los IDs de los selects declarados en el HTML con el nombre de la tabla donde se encuentra su contenido
$listadoSelects=array(
"pais"=>"pais",
"depa"=>"depa",
"prov"=>"prov",
"dist"=>"dist"
);

function validaSelect($selectDestino) {
	// Se valida que el select enviado via GET exista
	global $listadoSelects;
	if(isset($listadoSelects[$selectDestino])) return true;
	else return false;
	}

function validaOpcion($opcionSeleccionada) {
	// Se valida que la opcion seleccionada por el usuario en el select tenga un valor numerico
	if(is_numeric($opcionSeleccionada)) return true;
	else return false;
	}

$selectDestino=$_GET["select"]; 
$opcionSeleccionada=$_GET["opcion"];

if(validaSelect($selectDestino) && validaOpcion($opcionSeleccionada)) {
	$tabla=$listadoSelects[$selectDestino];	
	$obj->abrirConexion();
	switch ($tabla) {
		case "pais":
				$sql = "select CodPais, Descripcion from pais order by Descripcion";
				$opcion = "SELECCIONAR PAIS...";
				break;
		case "depa":
				$sql = "select CodUbigeo, Descripcion from ubigeo 
						where CHAR_LENGTH(CodUbigeo)=2 AND CodPais='$opcionSeleccionada'
						order by Descripcion";
				$opcion = "SELECCIONAR DEPARTAMENTO...";
				break;
		case "prov":
				if ($_GET[selectPais]=="06") {
					$sql="select CodUbigeo, Descripcion
						from ubigeo where CHAR_LENGTH(CodUbigeo)=5
						and SUBSTRING(CodUbigeo,1,2)='$opcionSeleccionada'
						AND CodPais='$_GET[selectPais]'
						order by Descripcion";
					}
				else {
					$sql="select CodUbigeo, Descripcion
						from ubigeo where CHAR_LENGTH(CodUbigeo)=4
						and SUBSTRING(CodUbigeo,1,2)='$opcionSeleccionada'
						AND CodPais='$_GET[selectPais]'
						order by Descripcion";
					}
				$opcion = "SELECCIONAR PROVINCIA...";
				break;
		case "dist":
				if ($_GET[selectPais]=="06") {
					$sql="select CodUbigeo, Descripcion
						from ubigeo where CHAR_LENGTH(CodUbigeo)=8
						and SUBSTRING(CodUbigeo,1,5)='$opcionSeleccionada'
						AND CodPais='$_GET[selectPais]'
						order by Descripcion";
					}
				else {
					$sql="select CodUbigeo, Descripcion
						from ubigeo where CHAR_LENGTH(CodUbigeo)=6
						and SUBSTRING(CodUbigeo,1,4)='$opcionSeleccionada'
						AND CodPais='$_GET[selectPais]'
						order by Descripcion";
					}
				$opcion = "SELECCIONAR DISTRITO...";
				break;
		}
	$consulta=mysql_query($sql,$obj->link) or die(mysql_error());
	$obj->CerrarConexion();
	
	// Comienzo a imprimir el select
	echo "<select name='".$selectDestino."' id='".$selectDestino."'  style=\"width:200px; height:17px; font-family:tahoma; font-size:11px\" onChange='cargaContenido(this.id)'>  ";
	echo "<option value='Ninguno'>$opcion</option>";
	while($registro=mysql_fetch_row($consulta))	{
		$registro[1]=htmlentities($registro[1]);
		echo "<option value='".$registro[0]."'>".$registro[1]."</option>";
		}			
	echo "</select>&nbsp;*";
}
?>